/**
 * Created by pva701
 */
import java.util.List;

import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        long cAns = ouf.nextLong();
        long jAns = ans.nextLong();
        if (!ouf.seekEoF()) {
            return new Outcome(Type.PE, "Too much tokens in answer");
        }
        if (cAns != jAns) {
            return new Outcome(Type.WA, "Contestant answer is wrong");
        }
        if (cAns == jAns) {
            return new Outcome(Type.OK, "Jury has same answer");
        }
        return new Outcome(Type.FAIL, "");
    }
}
